%~d0
cd %~dp0


@echo off
SET /P PORTALURL=**** Please enter BGE Portal URL for this environment e.g. http://localhost  
if not "%PORTALURL%" == "" (goto sub_deploysolutions)
ECHO **** You have not provided the required arguments
ECHO **** Please execute this batch file again and provide the required arguments
GOTO sub_endofbatchfile

:sub_deploysolutions
@SET STSADM="C:\Program Files\Common Files\Microsoft Shared\web server extensions\12\BIN\STSADM"

ECHO ****   This solution package will deploy all IR Solution Packages  ****
ECHO ****   IISRESET are necessary to execute the batch file ****

ECHO **** This process will retract all IR Solution packages, if solution packages are already deployed ****

ECHO **** Retracting IRWebParts.wsp solution package ****
%STSADM% -o retractsolution -name IRWebParts.wsp -url %PORTALURL% -immediate
ECHO **** Executing the time job ****
%STSADM% -o execadmsvcjobs

ECHO **** Retracting IRData.SharePoint.Deployment.wsp solution package ****
%STSADM% -o retractsolution -name IRData.SharePoint.Deployment.wsp -immediate
ECHO **** Executing the time job ****
%STSADM% -o execadmsvcjobs

ECHO **** This process will delete all IR Solution packages, if solution packages are already deployed ****

ECHO **** Deleting IRWebParts.wsp solution package ****
%STSADM% -o deletesolution -name IRWebParts.wsp -override

ECHO **** Deleting IRData.SharePoint.Deployment.wsp solution package ****
%STSADM% -o deletesolution -name IRData.SharePoint.Deployment.wsp -override

ECHO **** This process will add all IR Solution packages ****

PAUSE